.content__body {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  padding: 8px 16px;
  // overflow: hidden;
  // overflow-y: scroll;

  // background-color: $bg-white-color;
  background-color: green;

  .disable__area {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin: 8px 0;

    &-input {
      display: flex;
      flex: 1;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;
      width: calc(100% - 32px);
      margin: 0 16px;

      &:first-child {
        margin-left: 0;
      }

      &:last-child {
        margin-right: 0;
      }

      &-title {
        font-size: 18px;
        
        margin-bottom: 8px;
      }

      &-box {
        box-sizing: border-box;
        display: flex;
        flex: 1;
        justify-content: center;
        align-items: flex-start;
        padding: 4px 8px;
        border: 1px solid rgba(0, 0, 0, 0.2);
        border-radius: 5px;
        cursor: not-allowed;
        background-color: rgba(0, 0, 0, 0.1);

        width: 100%;

        > input {
          color: #ffffff;
          font-size: 16px;
          
          width: 100%;
          border: none;
          outline: none;
          cursor: not-allowed;
        }
      }
    }
  }

  .row__input {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    margin: 8px 0;

    .single__input {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      width: 50%;

      &:first-child {
        margin-right: 8px;
      }

      &:last-child {
        margin-left: 8px;
      }

      &-title {
        font-size: 18px;
        
        margin-bottom: 8px;
        width: 100%;
      }

      &-box {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        padding: 4px 8px;
        border: 1px solid rgba(0, 0, 0, 0.2);
        border-radius: 5px;
        width: 100%;

        > input {
          color: #ffffff;
          font-size: 16px;
          
          width: 100%;
          border: none;
          outline: none;
        }
      }

      &-dropdown {
        width: calc(100% - 10px);
        .dropdown-field {
          box-sizing: border-box;
          background-color: #ffffff;
          position: relative;
          display: flex;
          align-items: flex-start;
          height: 100%;
          width: 100%;
          border-radius: 5px;
          border: 1px solid rgba(0, 0, 0, 0.2);
          flex-direction: row;
          cursor: pointer;
          padding: 0 15px;

          &.active {
            border-radius: 5px 5px 0 0;
            border-bottom: none;
          }

          > span.option-selected {
            box-sizing: border-box;
            font-size: 16px;
            width: calc(99% - 18px);
            height: 100%;
            padding: 5px 0px;
            margin: 0 3px;
            display: flex;
            justify-content: flex-start;
            align-items: center;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            color: rgba(0, 0, 0, 0.8);

            > span {
              width: 100%;
              overflow: hidden;
              text-overflow: ellipsis;
              white-space: nowrap;
              font-size: 18px;
            }
          }

          .select-options {
            display: none;
            position: absolute;
            background-color: #ffffff;
            border: 1px solid rgba(0, 0, 0, 0.2);
            border-top: none;
            width: 100.6%;
            top: 100%;
            left: -1px;
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            border-radius: 0 0 5px 5px;
            height: 100%;
            max-height: 165px;
            overflow-y: scroll;
            z-index: 99;

            &.active {
              display: block;
              height: auto;
            }

            li {
              list-style: none;
              padding: 10px 20px;
              transition: all 0.25s;
              font-size: 16px;
              width: auto;
              height: 20px;
              overflow: hidden;
              text-overflow: ellipsis;
              white-space: nowrap;

              &:hover {
                background-color: #697379;
                color: #ffffff;
                cursor: pointer;
              }
            }
          }
        }
      }
    }

    .inline__input {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;
      width: 50%;

      &:first-child {
        margin-right: 8px;
      }

      &:last-child {
        margin-left: 8px;
      }

      &-title {
        font-size: 18px;
        
        margin-right: 16px;
      }

      &-box {
        box-sizing: border-box;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        padding: 4px 8px;

        &__radio {
          display: block;
          position: relative;
          cursor: pointer;
          font-size: 16px;
          user-select: none;
          width: max-content;
          padding-left: 30px;
          margin: 0 5px;

          > input {
            position: absolute;
            opacity: 0;
            cursor: pointer;
          }

          .radio__mark {
            position: absolute;
            top: 0;
            left: 0;
            width: 20px;
            height: 20px;
            border-radius: 5px;
            background-color: #fff;
            border: 1px solid #448aff;
          }

          .radio__mark:after {
            content: "";
            position: absolute;
            display: none;
          }

          > input:checked ~ .radio__mark:after {
            display: block;
          }

          .radio__mark:after {
            top: 3px;
            right: 3px;
            left: 3px;
            width: 14px;
            height: 14px;
            border-radius: 2px;
            background-color: #146aff;
          }
        }
      }
    }

    .upload__input {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: flex-start;
      width: 50%;
      margin-left: 6px;

      &-title {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        font-size: 18px;
        
        margin-bottom: 8px;
        width: 100%;

        > a {
          margin-left: 8px;
        }
      }

      &-box {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: center;
        width: 100%;

        .name__list__upload {
          box-sizing: border-box;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border: 1px solid rgba(0, 0, 0, 0.2);
          padding: 8px 12px;
          border-radius: 5px;
          width: 100%;

          &-label {
            cursor: pointer;
            width: 100%;
          }

          &-input {
            opacity: 0;
            position: absolute;
            z-index: -1;
          }
        }
      }
    }
  }

  .multi__input {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    margin-top: 4px;

    &-title {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
      cursor: pointer;

      .divider {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 0 auto;
        width: 40%;
        height: 1px;
        background-color: $bg-primary-color;
      }

      > label {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        cursor: pointer;
        box-sizing: border-box;
        padding: 8px;

        &:hover {
          background-color: rgba(0, 0, 0, 0.1);
          border-radius: 5px;
        }
      }

      &-text {
        margin-right: 8px;
        font-size: 18px;
      }
    }

    .browser__title {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      width: 100%;
      margin-top: 8px;

      &-text {
        margin: 4px 0 8px;
        > span {
          display: flex;
          justify-content: flex-start;
          align-items: center;
          font-size: 14px;

          a.rpa__tooltip {
            margin-left: 8px;
          }
        }
      }

      &-input__box {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;

        &-zh-tw {
          box-sizing: border-box;
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          padding: 6px 8px;
          border: 1px solid rgba(0, 0, 0, 0.2);
          border-radius: 5px;
          margin-right: 8px;
        }

        &-vn {
          box-sizing: border-box;
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          padding: 6px 8px;
          border: 1px solid rgba(0, 0, 0, 0.2);
          border-radius: 5px;
          margin-left: 8px;
        }

        &-textarea {
          border: none;
          outline: none;
          resize: none;
          width: 100%;
          font-size: 16px;
        }

        &-upload {
          box-sizing: border-box;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border: 1px solid rgba(0, 0, 0, 0.2);
          padding: 8px 12px;
          border-radius: 5px;
          width: 100%;

          .image__upload-label {
            cursor: pointer;
            width: 100%;
          }

          .image__upload-input {
            opacity: 0;
            position: absolute;
            z-index: -1;
          }
        }
      }
    }
  }
}
